part of keyclic_sdk_api.api;

class Result {
  List<Activity> activities = [];

  int activityCount = null;

  int actorCount = null;

  DateTime createdAt = null;

  String group = null;

  String id = null;

  DateTime updatedAt = null;

  String verb = null;

  bool isRead = null;

  bool isSeen = null;

  Result();

  @override
  String toString() {
    return 'Result[activities=$activities, activityCount=$activityCount, actorCount=$actorCount, createdAt=$createdAt, group=$group, id=$id, updatedAt=$updatedAt, verb=$verb, isRead=$isRead, isSeen=$isSeen, ]';
  }

  Result.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    activities = Activity.listFromJson(json['activities']);
    activityCount = json['activity_count'];
    actorCount = json['actor_count'];
    createdAt =
        json['created_at'] == null ? null : DateTime.parse(json['created_at']);
    group = json['group'];
    id = json['id'];
    updatedAt =
        json['updated_at'] == null ? null : DateTime.parse(json['updated_at']);
    verb = json['verb'];
    isRead = json['is_read'];
    isSeen = json['is_seen'];
  }

  Map<String, dynamic> toJson() {
    return {
      'activities': activities,
      'activity_count': activityCount,
      'actor_count': actorCount,
      'created_at':
          createdAt == null ? '' : createdAt.toUtc().toIso8601String(),
      'group': group,
      'id': id,
      'updated_at':
          updatedAt == null ? '' : updatedAt.toUtc().toIso8601String(),
      'verb': verb,
      'is_read': isRead,
      'is_seen': isSeen,
    };
  }

  static List<Result> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<Result>()
        : json.map((value) => new Result.fromJson(value)).toList();
  }

  static Map<String, Result> mapFromJson(Map<String, dynamic> json) {
    var map = new Map<String, Result>();
    if (json != null && json.length > 0) {
      json.forEach(
          (String key, dynamic value) => map[key] = new Result.fromJson(value));
    }
    return map;
  }
}
